Package: org.codehaus.groovy.control.customizers.builder

## [Java] Class CustomizersFactory

- org.codehaus.groovy.control.customizers.builder.CustomizersFactory

- All Implemented Interfaces and Traits:
    PostCompletionFactory

      public class CustomizersFactory
      extends AbstractFactory
      implements PostCompletionFactory

  This factory generates an array of compilation customizers.

  Since:
    2.1.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)` Creates the mutable collection that accumulates compilation customizers.
    `` | `public Object` | `postCompleteNode(FactoryBuilderSupport factory, Object parent, Object node)` Converts the collected customizers to an array when node construction completes.
    `` | `public void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)` Adds child customizers to the current collection node.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Method Detail

    - #### public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

      Creates the mutable collection that accumulates compilation customizers.

      throws:
        InstantiationException if instance creation fails
      throws:
        IllegalAccessException if access fails
      Parameters:
        `builder` - the active builder
        `name` - the node name
        `value` - the supplied node value
        `attributes` - the node attributes
      Returns:
        a new collection used to gather customizers

    - #### public Object postCompleteNode(FactoryBuilderSupport factory, Object parent, Object node)

      Converts the collected customizers to an array when node construction completes.

      Parameters:
        `factory` - the active builder
        `parent` - the parent node
        `node` - the completed node
      Returns:
        a customizer array or the original node

    - #### public void setChild(FactoryBuilderSupport builder, Object parent, Object child)

      Adds child customizers to the current collection node.

      Parameters:
        `builder` - the active builder
        `parent` - the parent node
        `child` - the child node